
import 'package:test/scaffolding.dart';
import 'package:webroker/target.dart';
import 'package:yona_crypto/crypto.dart';
import 'package:yona_messenger/addr.dart';
import 'package:yona_messenger/peer.dart';

void main() {
  test("Peer", () {
    var p = Peer(
      derivePK(genSK()),
      Addr("verival", 3333),
      Target("webroker", 2222, "12345"),
    );
    var p2 = Peer.fromString(p.toString());
    assert(p.pk == p2.pk);
    assert(p.webroker == p2.webroker);
    assert(p.verival == p2.verival);
    assert(p2 == p);
  });
}
